#! /bin/sh

# backup.sh

# This backup script can be run manually, by typing backup.sh into the Terminal,
# or invoked from your crontab file for automated system backups.
# Scot Hacker, beos@birdhouse.org , 2/2/99

# Set some date and time variables to be used in filenames, alerts, and logs
normdate=$(date +%D)
today=$(date +%m%d%y)
time=$(date +%r)

# Zip up the people and queries directories with max compression,
# recursing folders, and storing but not following symlinks.
# After testing, modify these to reflect the actual paths
# to data you want to back up, such as /boot/home and /boot/apps.
zip -9ry /boot/backups/home.$today.zip ~/people
zip -9ry /boot/backups/queries.$today.zip ~/queries

# You may also want to write your archives directly to another volume,
# as long as you're sure it's mounted when the script runs. For example,
# uncommenting the next  line would zip an archive of your
# home directory to a volume called moomoo:

# zip -9ry /moomoo/backups/home.$today.zip /boot/home



# Record this activity to the backup log
# Modify these for reporting purposes
{

	echo $time, $normdate : people directory archived to /boot/backups/people.$today.zip
	echo $time, $normdate : queries directory archived to /boot/backups/queries.$today.zip
	
} >> /boot/backups/backup.log


# Toss an alert box to the screen so that when you return to your computer
# in the morning you'll remember to move the new archives to a separate backup drive.

alert "$time, $normdate
The following backups were created:

/boot/backups/people.$today.zip
/boot/backups/queries.$today.zip"
